var jQuery = $ = require('jquery');

module.exports = function (el) {

    // on change of select
    $(el).change(function () {
        // get text from selected option
        var thisValue = $(this).parents('.b-form__select').find('select option:selected').text();

        // put that text into the display box
        $(this).parents('.b-form__select').find('.b-form__select-display').empty().text(thisValue);
    }).change();

    // Reset bug for range input not resetting text display
    $(el).parents('form').on('reset', function () {

        // get form into variable
        var thisForm = $(this);

        // need a timeout to let the select drop down change
        setTimeout(function () {
            // get text from selected option
            var thisValue = thisForm.find('.b-form__select').find('select option:selected').text();

            // put that text into the display box
            thisForm.find('.b-form__select').find('.b-form__select-display').empty().text(thisValue);
        }, 50);

    });

}